.message,
.warning,
.error {
    display: block;
    width: 95%;
    padding: 12px 24px!important;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
    margin: 16px auto;
    box-sizing: border-box;
}

.message {
    background: #ddffdd;
    border: 1px solid #4caf50;
    border-left: 6px solid #4caf50;
}

.warning {
    background: #ffefdd;
    border: 1px solid #ff9800;
    border-left: 6px solid #ff9800;
}

.error {
    background: #ffdddd;
    border: 1px solid #f44336;
    border-left: 6px solid #f44336;
}

.icon-button {
    display:inline-block;
    padding:8px 16px 8px 11px;
    margin:16px 10px 16px 0px;
    background-color:#fff;
    color:#323536;
    border-radius:4px;
    border: 2px solid #929596;
    cursor:default;
    -webkit-user-select: none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}

.icon-button:hover,
.icon-button.active {
    color:#006699;
    border-color:#006699;
    box-shadow:2px 2px 4px rgba(0, 0, 0, 0.3);
}

.icon-button span {
    margin-right: 5px;
}

.icon-button-sq {
    display:inline-block;
    width: 2em;
    height: 2em;
    line-height: 2em;
    margin:0.4rem;
    text-align: center;
    background-color:#fff;
    font-size: 18px;
    color:#323536;
    border-radius:4px;
    border: 2px solid #929596;
    cursor:default;
    -webkit-user-select: none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}

.icon-button-sq:hover,
.icon-button-sq.active {
    color:#006699;
    border-color:#006699;
    box-shadow:2px 2px 4px rgba(0, 0, 0, 0.3);
}

.form-edit-icon,
.form-delete-icon {
    display:block;
    position: absolute;
    right: 0;
    top: 0;
    padding: 10px;
    margin: 0px 5px;
    background-color:#fff;
    color:#006699;
    font-size: 1.5em;
    cursor:default;
    -webkit-user-select: none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}

.form-edit-icon {
    right: 40px;
}

.form-edit-icon:hover,
.form-delete-icon:hover {
    color: #323536;
}

.styled-table {
    border-collapse:collapse;
    border-spacing:0;
    display:table;
    border:1px solid #ccc;
}

.styled-table tr {
    border-bottom:1px solid #ddd;
}

.styled-table tr:nth-child(odd) {
    background-color:#fff;
}

.styled-table tr:nth-child(even) {
    background-color:#f1f1f1;
}

.styled-table td,
.styled-table th {
    padding:8px 8px;
    display:table-cell;
    text-align:left;
    vertical-align:middle;
}

.styled-table th:first-child,
.styled-table td:first-child {
    padding-left:16px;
}

.form-property-container {
    margin-top: 16px;
    margin-bottom: 16px;
}

.form-property-container--submit {
    text-align: right;
}

.form-input {
    display:block;
    width:100%;
    padding:8px;
    margin: 4px 0;
    border:1px solid #ccc;
    border-radius: 3px;
}

.form-input-coord {
    display:inline-block;
    width: 3em;
    padding: 8px;
    margin: 4px;
    border:1px solid #ccc;
    border-radius: 3px;
}

.form-input--verified {
    background: #ddffdd;
}

.form-input--issue {
    background: #ffdddd;
}

.form-input:focus {
    outline: none;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.5);
}

.form-label {
    display: block;
    color:#006699;
    font-size: 14px;
    text-transform:uppercase;
    letter-spacing:0.2em;
    margin:2.5em 0 0.5em 0;
}

.form-select {
	display: inline-block;
	font-size: 16px;
	font-family: "Open Sans", sans-serif;
	font-weight: normal;
	color: #000;
	line-height: 1.3;
	padding: 8px 30px 8px 10px;
	max-width:100%;
	box-sizing: border-box;
	margin: 0;
    border: 1px solid #ccc;
	box-shadow: 0 1px 0 1px rgba(0,0,0,.04);
	border-radius: 3px;
	-moz-appearance: none;
	-webkit-appearance: none;
	appearance: none;
	background-color: #efefef;
	background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23006699%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
	  linear-gradient(to bottom, #efefef 0%, #efefef 100%);
	background-repeat: no-repeat, repeat;
	background-position: right .7em top 50%, 0 0;
	background-size: .65em auto, 100%;
}
.form-select::-ms-expand {
	display: none;
}
.form-select:hover {
	border-color: #888;
}

.form-select:focus {
    outline:none;
    box-shadow:0 0 4px #323536;
}

.form-select option {
	font-weight: normal;
	font-size: inherit;
}

.schema {
    border-collapse: collapse;
    padding: 0;
}

.schema td {
    border: 1px solid #999;
    width: 3em;
    height: 3em;
}